﻿' Import handle
Imports System.IO
Imports System.Data.SqlClient
Imports System.Windows.Forms
Imports System.Data.DataSet
Imports Turnier02.TurnierDBDataSet
Imports Microsoft.VisualBasic.ControlChars

Public Class FormSpielen
    ' Main programm
    ' Allgemeine Variablen definieren
    Public sFile As String = "..\..\TurnierDBDataSet.xml"
    Public ds As DataSet = Me.TurnierDBDataSet1
    Public sVersion As String = Application.ProductVersion
    Public iMode As Integer = 0

    ' -------------------
    ' Formular Funktionen
    Public Sub Reload()
        Me.TurnierDBDataSet1.Clear()
        If File.Exists(sFile) Then
            Me.TurnierDBDataSet1.ReadXml(sFile)
        Else
            MsgBox(String.Concat( _
               "Datenfile ", Path.GetFullPath(sFile), " nicht gefunden.", Lf, _
               "Fahren Sie fort, halt ohne Daten."))
        End If

    End Sub
    Public Sub Save()
        Me.MannschaftenBindingSource.EndEdit()
        Me.TurnierDBDataSet1.WriteXml(sFile)
    End Sub

    Private Sub FormSpielen_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Spielen Formular öffnen
        Me.Text = "Turnier Spielen  " & sVersion
        Reload()
        ' MannschaftenDataGridView.DataSource = TabMann
        ' MannschaftenDataGridView.DataSource = Me.MannschaftenBindingSource.DataMember
        MannschaftenDataGridView.Refresh()

    End Sub
    ' -----
    Public Sub FormSpielen_FormClosing(ByVal sender As Object, ByVal e As FormClosingEventArgs) Handles MyBase.FormClosing
        ' Spielen Formular schiessen
        ' Me.TurnierDBDataSet1.WriteXml(sFile)
        ' DS.WriteXml(File)
        Save()
    End Sub

    ' -----------
    ' Menu: Datei
    Private Sub DateiToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        ÖffnenToolStripMenuItem.Click, SpeichernToolStripMenuItem.Click, DruckenToolStripMenuItem.Click, BeendenToolStripMenuItem.Click
        Select Case True
            Case sender Is ÖffnenToolStripMenuItem
                Reload()
            Case sender Is SpeichernToolStripMenuItem
                Save()
            Case (sender Is DruckenToolStripMenuItem)
                ' hier muss noch die Druck-Funktion rein
            Case sender Is BeendenToolStripMenuItem
                Me.Close()

        End Select
    End Sub

    ' -------------
    ' Menu: Turnier
    Private Sub TurnierToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        TurnierdatenToolStripMenuItem.Click, SpielplanNeuToolStripMenuItem.Click, SchidsricherNeuToolStripMenuItem.Click, _
        NurErgebnisseToolStripMenuItem.Click, TurnierlöschenToolStripMenuItem1.Click

        Select Case True
            Case sender Is TurnierdatenToolStripMenuItem
                FormTurnier.Show()
            Case sender Is SpielplanNeuToolStripMenuItem

            Case sender Is SchidsricherNeuToolStripMenuItem

            Case sender Is NurErgebnisseToolStripMenuItem

            Case sender Is TurnierlöschenToolStripMenuItem1

        End Select
    End Sub

    ' ----------------
    ' Menu: Mannschaft
    Private Sub MannschaftToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        HinzufügenToolStripMenuItem.Click, BearbeitenToolStripMenuItem.Click, LöschenToolStripMenuItem1.Click
        Select Case True
            Case sender Is HinzufügenToolStripMenuItem
                ' Mannschaft Hinzufügen
                Dim iMannNr As Integer = MannschaftenBindingSource.Count + 1
                FormMannschaft.LabelMannschaft.Text = "Mannschaft " & iMannNr & " hinzufügen"
                iMode = 1
                FormMannschaft.LabelNummer.Text = iMannNr
                Turnier02.FormMannschaft.Show()

            Case sender Is BearbeitenToolStripMenuItem
                ' Markierte Mannschaft bearbeiten
                Dim iMannNr As Integer = MannschaftenDataGridView.SelectedCells(0).RowIndex + 1
                FormMannschaft.LabelMannschaft.Text = "Mannschaft " & iMannNr & " bearbeiten"
                iMode = 2
                FormMannschaft.LabelNummer.Text = iMannNr

                Dim MannRow(10) As String
                For i As Integer = 0 To MannRow.Length - 1
                    MannRow(i) = MannschaftenDataGridView.Item(i, iMannNr - 1).Value.ToString
                Next
                With FormMannschaft
                    .TextName.Text = MannRow(2)
                    .TextVerein.Text = MannRow(3)
                    .TextAsp.Text = MannRow(4)
                End With

                Turnier02.FormMannschaft.Show()

            Case sender Is LöschenToolStripMenuItem

        End Select
    End Sub

    ' ------------
    ' Menu: Spiele
    Private Sub SpieleToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        ErgebnissEintragenToolStripMenuItem.Click, SpielMarkierenToolStripMenuItem.Click, PlatzierungAnzeigenToolStripMenuItem.Click
        Select Case True
            Case sender Is ErgebnissEintragenToolStripMenuItem

            Case sender Is SpielMarkierenToolStripMenuItem

            Case sender Is PlatzierungAnzeigenToolStripMenuItem

        End Select
    End Sub
    ' ------------
    ' Menu: Hilfe
    Private Sub HilfeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
        HilfeAnzeigenToolStripMenuItem.Click, VersionToolStripMenuItem.Click
        Select Case True
            Case sender Is HilfeAnzeigenToolStripMenuItem
                Dim sr As New StreamReader("..\..\Hilfe.txt")
                FormHilfe.TextHilfe.Text = sr.ReadToEnd()
                sr.Close()
                FormHilfe.Show()
                FormHilfe.TextHilfe.DeselectAll()

            Case (sender Is VersionToolStripMenuItem)
                MsgBox("Version: " & sVersion & vbCrLf & "created by: Klaus Odenthal" & vbCrLf & "Februar 2015", vbOKOnly, "Versions Info")
        End Select
    End Sub

End Class
